;--------------------------------------------------------------------------;
;                        Sample for my UGPLIB/UGPCONV                      ;
;                ----------- by David Khling 1998 ----------              ;
;                                                                          ;
; This programm displays a 32 picture animation of a rotating cube, that   ;
; was originally created with POVRAY by Felix Khling.                     ;
;                                                                          ;     
; Picture format:                                                          ;
;   160x120                                                                ;
;   1 plane, (only black&white)                                            ;
;   dithering 3 (huge pattern),                                            ;
;   compressed,                                                            ;
;   xor  (because the background behind the cube allways stays the same)   ;
;                                                                          ;
;--------------------------------------------------------------------------;

        include "ugplib.h"

        XDEF _main
        XDEF _comment

_main:
        lea     Animation(PC),a0
        moveq.w #0,d2
        jsr     ugplib::AutoDisp
        rts

_comment:
        dc.b    "UGPLIB sample 'cube' by D.K."

        dc.w    0  ;align ugp file on even address

Animation:
        INCBIN "d:\fargo\asm\mysource\ugpsamp\cube1.ugp"


        END
