#include <stdio.h>
#include "object.h"

int main(int argc,char *argv[])
{
  printf("MAKEPRGM by Rusty Wagner\n Modified by PpHd Version P19\n");

  if (argc<2)
  	ERROR("Usage: MAKEPRGM NameOfObjectFile(s)\n");
  Object *obj=new Object(argv[1]);
  for(int i = 1 ; i < argc ; i++)
	if (obj->Read(argv[i])) return 1;
  if ((!obj->output89)&&(!obj->output92)&&(!obj->output92Plus))
	obj->output92Plus=1;
  if (obj->output89) // Output TI-89 file?
	obj->Write(89);
   if (obj->output92Plus) // Output TI-92+ file?
	obj->Write(92);
  delete obj;
  return 0;
}
