#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>

#define MAX_FILE	256

int	n = 0;
FILE	*FNAME = NULL;

int	s = 0;
char	StaticArc[MAX_FILE];

unsigned char	DummyFile[4] = {2,0,0,0xF8};

void    add_file(char *folder, char *name)
{
	int i;
	fprintf(FNAME, " dc.b \"");
	// Minuscule
	for( i = 0 ; i < 8 && *name; i++, name++)
		fputc(tolower(*name), FNAME);
	fprintf(FNAME, "\",0\n");
}

FILE	*xfopen(char *Name, char *arg)
{
	FILE *F;
	if (!(F=fopen(Name,arg)))
		{
		printf("Error : can't open %s with %s \n",Name,arg);
		exit(-1);
		}
	return	F;
}

void	*xmalloc(size_t num)
{
static	int total=0;
void	*a0;
	if (!(a0=malloc(sizeof(char)*num)))
		{
		printf("Error : can't allocate %u bytes (%u bytes allocated)\n",num,total);
		exit(-1);
		}
	total+=(long) num;
	return a0;
}

void    extract_header(char *file) {
	FILE *F;
	char *a0;
	char *tampon;
	char str[100];
	long num;

	// Alloc buffer
	a0 = 86 + (tampon = (char *) xmalloc(sizeof(char) * 70000));


	if (*file != '!')
		{
		F = xfopen(file,"rb");				// Read file 
		num = fread(tampon, sizeof(char), 70000, F);
		fclose(F);
	
		sprintf(str,"temp%d.$$$",n);				// Nom
		add_file(tampon + 10, tampon + 64);			// Ajoute nom fichier		
		StaticArc[n++] = 0;
		}
	else	{	// It is a static non compressed files.
		F = xfopen(file+1,"rb");				// Read file 
		num = fread(tampon, sizeof(char), 70000, F);
		fclose(F);
		sprintf(str,"temp%d.$$$",n);		// Add a dummy file
		F = xfopen(str,"wb");			// To avoid some problems in the uncompress function
		fwrite(DummyFile, sizeof(char), 4, F);
		fclose(F);
		sprintf(str,"static%d.$$$",n);		// Add static file
		fprintf(FNAME, " dc.b '!',(Static%d-MainRef)&255,(Static%d-MainRef)/256 \n", n, n);
		add_file(tampon + 10, tampon + 64);			// Ajoute nom fichier		
		StaticArc[n++] = 1;
		}		
	if (num<86) {
		printf("Error : input file %s too small !", file);
		exit(-2);
	}
	F = xfopen(str,"wb");			
	fwrite(a0,sizeof(char),num - 86 - 2,F);
	fclose(F);
	free(tampon);						// Libere memoire
}

void	main(int argc, char *argv[]) {
	FILE *F;
	char *tamp2;
	long num;
	char command_str[1000] = "shrink92.exe -v -oout.$$$";
	char tampon[100];
	int i;

 printf("Create asm auto-extractible program or archive files using shrink92 for Ti-89/Ti-92+.\n"
 	"VERSION 2 - Preos 0.64\n"
        "Usage: kpack infile1 infile2 infile... outfile\n"
        "Example: kpack graphlib.9xz userlib.9xz filelib.9xz ziplib.9xz doorslib\n"
        "If a file is preceded by '!', it won't be compressed.\n");

	if (argc < 3) {
		printf("Bad number of arguments.\n");
		exit(-3);
	}

 	// Starting to work
 	sprintf(tampon, "%s.tmp", argv[argc-1]);
 	FNAME = xfopen(tampon,"w");
	fprintf(FNAME,	"_nostub xdef _nostub\n"
			"_ti89 xdef _ti89\n"
			"_ti92plus xdef _ti92plus\n\n"
			" bsr.s Loader\n"
			"MainRef: \n"
			" dc.l '68cA'\n"
			"Loader move.l ($50).w,-(a7)\n"
			" bne.s Go\n"
			" addq.l #8,a7\n"
			"Go rts\n\n"
			" dc.b %d,1,3\n" // Version 1 Function 3
			" dc.b \"shrnklib\",0\n",
			argc-2);

	for(i = 1 ; i < argc-1 ; i++)
		extract_header(argv[i]);
	fprintf(FNAME,	" EVEN\n incbin \"out.$$$\"\n");
	// Add the static files
	for(i = 1 ; i < n ; i++)
		if (StaticArc[i])
			fprintf(FNAME, " EVEN\nStatic%d: incbin \"static%d.$$$\"\n",i,i);
	fprintf(FNAME, " END\n");
	fclose(FNAME);

	for(i = 0 ; i < n ; i++) {
        	sprintf(tampon," temp%d.$$$",i);
        	strcat(command_str, tampon);
        	}
	// Compression des donnees et creation de la chaine
	printf("EXE: %s\n", command_str);
	system(command_str);
	sprintf(tampon, "a68k -g -t %s.tmp", argv[argc-1]);
	system(tampon);
	sprintf(tampon, "makeprgm %s.o", argv[argc-1]);
	system(tampon);	
	system("del *.$$$");
	printf("That's all, folks !\n");
}
