@echo off
@echo Building Preos - Needs Tigcc / Karch / A68k / makeprgm / shrink92 in your path
@echo 
@del preos-tictex.9xz
@del preos-tictex.89z
@del preos.9xz
@del preos.89z
@del stdlib.9xz
@del stdlib.89z

@tigcc preos.asm -WA,-vhw2tsr -WA,-vShiftOn=2 hw2tsr\h220xtsr.a
@ren preos.9xz preos-tictex.9xz
@ren preos.89z preos-tictex.89z
@tigcc preos.asm -WA,-vhw2tsr -WA,-vShiftOn=1 hw2tsr\h220xtsr.a
@del *.o

@mkdir temp
@copy .\Libs\DoorsOsLibs\graphlib.9xz .\temp
@copy .\Libs\DoorsOsLibs\userlib.9xz .\temp
@copy .\Libs\DoorsOsLibs\filelib.9xz .\temp
@copy .\Libs\DoorsOsLibs\ziplib.9xz .\temp
@copy .\Libs\Fargray\Fargray.9xz .\temp
@copy .\Libs\PlusShellLibs\util.9xz .\temp
@copy .\Libs\PlusShellLibs\gray4lib.9xz .\temp
@copy .\Libs\PlusShellLibs\gray7lib.9xz .\temp
@copy .\Libs\PlusShellLibs\hufflib.9xz .\temp
@copy .\Libs\PlusShellLibs\linelib.9xz .\temp
@copy .\Libs\PlusShellLibs\triglib.9xz .\temp
@copy .\Libs\T3Libs\genlib.9xz .\temp
@copy .\Libs\T3Libs\genclib.9xz .\temp
@copy .\Libs\T3Libs\genalib.9xz .\temp
@copy .\Libs\DavidKuhlingLibs\brwselib\brwselib.9xz .\temp
@copy .\Libs\DavidKuhlingLibs\pk92lib\pk92lib.9xz .\temp
@copy .\Libs\DavidKuhlingLibs\ugplib\ugplib.9xz .\temp
@copy .\Libs\hexlib.9xz .\temp
@copy .\Libs\comment.9xs .\temp
@cd temp
@mkdir temp2
@cd ..
@copy .\Libs\DavidKuhlingLibs\shrnklib\shrnklib.9xz .\temp\temp2
@copy .\Libs\Shell.9xz .\temp\temp2
@cd temp
@kpack temp2\shell.9xz *.9xz !comment.9xs !temp2\shrnklib.9xz stdlib
@copy stdlib.9xz ..
@copy stdlib.89z ..
@cd ..
@deltree /Y temp