	include "RomCalls.h"

	xdef	_ti89
	xdef	_ti92plus
	xdef	_nostub

_main:
	; Test if the call is from Ti-Home
	cmp.l	#$200000,(a7)
	bls	dont_uninstall

	movem.l d0-d7/a0-a6,-(a7)

	tst.w	($30).w		;regarde si un kernel est install
	bne.s	kernel
		pea	already(pc)
		bra.s	exit
kernel	cmp.w	#'PO',($32).w
	beq.s	uninstall
		pea	nopreos(Pc)
		bra.s	exit
uninstall

	; Push the handle
	move.w	($48).w,-(a7)

	; Restore the vector table (exept the traps) !
	move.l	($C8).w,d0
	andi.l	#$600000,d0
	add.l	#$012088,d0
	move.l	d0,a0
	lea	$40000,a1

	moveq	#31,d0
\loop		move.l	(a0)+,(a1)+
		dbf	d0,\loop
	
	; Restore trap #$C
	move.l	$C*4(a0),$C*4(a1)
	
	; Restore trap #4 if it was intercepted by Preos.
	move.l	4*4(a1),d7		; Get current trap #4
	move.l	4*4(a0),4*4(a1)		; Restore Org trap #4
	ROM_CALL HeapDeref
	moveq	#0,d0
	move.w	-(a0),d0
	add.w	d0,d0
	cmp.l	a0,d7
	bcs.s	\do
	add.l	d0,a0
	cmp.l	a0,d7
	bcs.s	\no
\do		move.l	d7,$40090	; Restore Intercepted Trap #4
\no	

	; Free the handle
	ROM_CALL HeapFree		;libre la mmoire
	addq.l	#2,a7

	pea	success(pc)
exit:	ROM_CALL ST_showHelp
	addq.l	#4,a7

	movem.l (a7)+,d0-d7/a0-a6
dont_uninstall:
	rts

success dc.b "PreOs uninstalled",0
already dc.b "There is no Kernel !",0
nopreos	dc.b "I can only uninstall PreOs",0

	end
	